API DocumentationManufacturer production status controller
Get all production statuses
GET
Retrieves all production statuses for the current operator
Phasio API Bearer Tokenheader
AuthorizationBearer <token>deleted?booleanWhether to include archived statuses — defaults to true
Production statuses retrieved successfully
application/json- response
[index: integer]?curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-status'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "stepNamePrefix": "string", "productionStepType": "string", "viewType": "string", "buildConstraint": "string", "stepNamingStrategy": "string", "sequence": 0, "duration": 0, "isCompletedStatus": true, "allowOverproduction": true, "automations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "type": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "productionStatusId": "44fdd4cb-6f56-49be-a233-2672a65887f7" } ], "createdAt": "2019-08-24T14:15:22Z", "updateDt": "2019-08-24T14:15:22Z", "deleted": true, "statusName": "string" }]